from Crypto.Random import get_random_bytes
import os

import backup
from backup import *

key_file = "key"

if not os.path.exists(key_file):
    key = get_random_bytes(32)  # 32 bytes * 8 = 256 bits (1 byte = 8 bits)
    open(key_file, 'wb').write(key)
    print("Saved")
else:
    key = open(key_file, 'rb').read()
    print("Recovered")

print(key)

# application_key_id = '003aa00745ec42a0000000004'
# application_key = 'K003RNvGfy+pazc6pD97xuUzPcDEqS0'
# bucket_id = '6a1a9000075465fe7cc4021a'

save_location = "crypted"

bdd_location = os.path.abspath("bdd.db")
exported_bdd = os.path.join(save_location, "0".zfill(ZFILL))
if os.path.exists(exported_bdd):
    print("Reload BDD from", exported_bdd)
    backup.save(backup.uncrypt(exported_bdd, key), bdd_location)

#bck = Backup().backblaze(key, bdd=bdd,  app_key_id=application_key_id, app_key=application_key, bucket_id=bucket_id)
bck = Backup().local(key, bdd=bdd_location, save_location=save_location)

#bck.check("/home/lionel/Images", recurse=True)
bck.update("/home/lionel/Images", recurse=True)

exported_bdd = os.path.join(save_location, "0".zfill(ZFILL))
print("Save BDD on", exported_bdd)
backup.save(backup.crypt(bdd_location, key), exported_bdd)
#os.remove(bdd_location)

# bck.recover_file(paths=["test\\tmp597556213336506368.jpg", "share/archive.tar"], save_path="recovered")
